netatalk 4.4.3
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
afpstats_obj.h File Reference
`#include <glib.h>`

Go to the source code of this file.

## Macros
#define | AFPSTATS_TYPE_OBJECT (afpstats_obj_get_type ())
#define | AFPSTATS_OBJECT(object)
#define | AFPSTATS_OBJECT_CLASS(klass)
#define | AFPSTATS_IS_OBJECT(object)
#define | AFPSTATS_IS_OBJECT_CLASS(klass)
#define | AFPSTATS_OBJECT_GET_CLASS(obj)

## Typedefs
typedef struct AFPStatsObj | AFPStatsObj
typedef struct AFPStatsObjClass | AFPStatsObjClass

## Functions
GType | afpstats_obj_get_type (void)
gboolean | afpstats_obj_get_users (AFPStatsObj *obj, gchar ***ret, GError **error)

## Macro Definition Documentation

## ◆ AFPSTATS_IS_OBJECT

#define AFPSTATS_IS_OBJECT | ( |  | object | ) |

Value:
(G_TYPE_CHECK_INSTANCE_TYPE((object), AFPSTATS_TYPE_OBJECT))
AFPSTATS_TYPE_OBJECT
#define AFPSTATS_TYPE_OBJECT
Definition afpstats_obj.h:12

## ◆ AFPSTATS_IS_OBJECT_CLASS

#define AFPSTATS_IS_OBJECT_CLASS | ( |  | klass | ) |

Value:
(G_TYPE_CHECK_CLASS_TYPE((klass), AFPSTATS_TYPE_OBJECT))

## ◆ AFPSTATS_OBJECT

#define AFPSTATS_OBJECT | ( |  | object | ) |

Value:
(G_TYPE_CHECK_INSTANCE_CAST((object), AFPSTATS_TYPE_OBJECT, AFPStatsObj))
AFPStatsObj
Definition afpstats_obj.c:32

## ◆ AFPSTATS_OBJECT_CLASS

#define AFPSTATS_OBJECT_CLASS | ( |  | klass | ) |

Value:
(G_TYPE_CHECK_CLASS_CAST((klass), AFPSTATS_TYPE_OBJECT, AFPStatsObjClass))
AFPStatsObjClass
Definition afpstats_obj.c:36

## ◆ AFPSTATS_OBJECT_GET_CLASS

#define AFPSTATS_OBJECT_GET_CLASS | ( |  | obj | ) |

Value:
(G_TYPE_INSTANCE_GET_CLASS((obj), AFPSTATS_TYPE_OBJECT, AFPStatsObjClass))
obj
static AFPObj obj
Definition netatalk.c:62

## ◆ AFPSTATS_TYPE_OBJECT

#define AFPSTATS_TYPE_OBJECT (afpstats_obj_get_type ())

## Typedef Documentation

## ◆ AFPStatsObj

typedef struct AFPStatsObj AFPStatsObj

## ◆ AFPStatsObjClass

typedef struct AFPStatsObjClass AFPStatsObjClass

## Function Documentation

## ◆ afpstats_obj_get_type()

GType afpstats_obj_get_type | ( | void |  | ) |

## ◆ afpstats_obj_get_users()

gboolean afpstats_obj_get_users | ( | AFPStatsObj * | obj,
|  | gchar *** | ret,
|  | GError ** | error )